diff -Naur twin-0.6.0-old/clients/clip.c twin-0.6.0/clients/clip.c
--- twin-0.6.0-old/clients/clip.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/clip.c	2009-02-16 15:44:43.000000000 +0100
@@ -1,5 +1,5 @@
 /*
- *  edit.c  --  a wannabe editor for twin. Currently just echoes keyboard.
+ *  clip.c  --  a wannabe editor for twin. Currently just echoes keyboard.
  *
  *  This program is placed in the public domain.
  *
diff -Naur twin-0.6.0-old/clients/lsmsgport.c twin-0.6.0/clients/lsmsgport.c
--- twin-0.6.0-old/clients/lsmsgport.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/lsmsgport.c	2009-02-16 15:47:34.000000000 +0100
@@ -1,6 +1,11 @@
-
-/* contributed by Cristalle Azundris Sabon */
-
+/* contributed by Cristalle Azundris Sabon 
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 /* list msgports. */
 
 #include <Tw/Tw.h>
diff -Naur twin-0.6.0-old/clients/Makefile.sub twin-0.6.0/clients/Makefile.sub
--- twin-0.6.0-old/clients/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/Makefile.sub	2009-02-16 15:48:38.000000000 +0100
@@ -1,3 +1,10 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
 #
 # Makefile for various libTw clients
 #
diff -Naur twin-0.6.0-old/clients/mapscrn/findfile.c twin-0.6.0/clients/mapscrn/findfile.c
--- twin-0.6.0-old/clients/mapscrn/findfile.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/findfile.c	2009-02-16 15:52:45.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
diff -Naur twin-0.6.0-old/clients/mapscrn/findfile.h twin-0.6.0/clients/mapscrn/findfile.h
--- twin-0.6.0-old/clients/mapscrn/findfile.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/findfile.h	2009-02-16 15:52:52.000000000 +0100
@@ -1,2 +1,10 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 extern void fpclose(FILE *fp);
 extern FILE *findfile(char *fnam, char **dirpath, char **suffixes);
diff -Naur twin-0.6.0-old/clients/mapscrn/getfd.c twin-0.6.0/clients/mapscrn/getfd.c
--- twin-0.6.0-old/clients/mapscrn/getfd.c	2006-04-07 22:37:25.000000000 +0200
+++ twin-0.6.0/clients/mapscrn/getfd.c	2009-02-16 15:53:10.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 #include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
diff -Naur twin-0.6.0-old/clients/mapscrn/getfd.h twin-0.6.0/clients/mapscrn/getfd.h
--- twin-0.6.0-old/clients/mapscrn/getfd.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/getfd.h	2009-02-16 15:53:25.000000000 +0100
@@ -1 +1,9 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 extern int getfd(void);
diff -Naur twin-0.6.0-old/clients/mapscrn/kdmapop.c twin-0.6.0/clients/mapscrn/kdmapop.c
--- twin-0.6.0-old/clients/mapscrn/kdmapop.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/kdmapop.c	2009-02-16 15:53:33.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 /*
  * kdmapop.c - export getscrnmap(), loadscrnmap(),
  *                    loaduniscrnmap(), loadunimap()
diff -Naur twin-0.6.0-old/clients/mapscrn/kdmapop.h twin-0.6.0/clients/mapscrn/kdmapop.h
--- twin-0.6.0-old/clients/mapscrn/kdmapop.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/kdmapop.h	2009-02-16 15:53:37.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 extern int getscrnmap(int fd, char *map);
 extern int loadscrnmap(int fd, char *map);
 extern int getuniscrnmap(int fd, unsigned short *map);
diff -Naur twin-0.6.0-old/clients/mapscrn/Makefile.sub twin-0.6.0/clients/mapscrn/Makefile.sub
--- twin-0.6.0-old/clients/mapscrn/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/Makefile.sub	2009-02-16 15:53:52.000000000 +0100
@@ -1,3 +1,11 @@
+# 
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Makefile for twmapscrn libTw client
 #
diff -Naur twin-0.6.0-old/clients/mapscrn/mapscrn.c twin-0.6.0/clients/mapscrn/mapscrn.c
--- twin-0.6.0-old/clients/mapscrn/mapscrn.c	2006-04-07 22:37:07.000000000 +0200
+++ twin-0.6.0/clients/mapscrn/mapscrn.c	2009-02-16 15:54:11.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 /*
  * mapscrn.c
  */
diff -Naur twin-0.6.0-old/clients/mapscrn/m_version.h twin-0.6.0/clients/mapscrn/m_version.h
--- twin-0.6.0-old/clients/mapscrn/m_version.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/m_version.h	2009-02-16 15:54:17.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 #include <string.h>
 
 #define VERSION "1.06"
diff -Naur twin-0.6.0-old/clients/mapscrn/nls.h twin-0.6.0/clients/mapscrn/nls.h
--- twin-0.6.0-old/clients/mapscrn/nls.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/nls.h	2009-02-16 15:54:20.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 
 #ifndef PACKAGE
 #define PACKAGE	"kbd"
diff -Naur twin-0.6.0-old/clients/mapscrn/paths.h twin-0.6.0/clients/mapscrn/paths.h
--- twin-0.6.0-old/clients/mapscrn/paths.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/paths.h	2009-02-16 15:54:25.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 /*
  * All data is in subdirectories of DATADIR, by default /usr/lib/kbd
  * The following five subdirectories are defined:
diff -Naur twin-0.6.0-old/clients/mapscrn/utf8.c twin-0.6.0/clients/mapscrn/utf8.c
--- twin-0.6.0-old/clients/mapscrn/utf8.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/utf8.c	2009-02-16 15:54:31.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 /* utf8.c - collect routines for conversion to/from utf8 */
 #include "utf8.h"
 
diff -Naur twin-0.6.0-old/clients/mapscrn/utf8.h twin-0.6.0/clients/mapscrn/utf8.h
--- twin-0.6.0-old/clients/mapscrn/utf8.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/utf8.h	2009-02-16 15:54:35.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 extern unsigned long from_utf8(char **inptr, int cnt, int *err);
 
 #define UTF8_BAD	(-1)
diff -Naur twin-0.6.0-old/clients/mapscrn/xmalloc.c twin-0.6.0/clients/mapscrn/xmalloc.c
--- twin-0.6.0-old/clients/mapscrn/xmalloc.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/xmalloc.c	2009-02-16 15:54:40.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 /* Error-free versions of some libc routines */
 
 #include <stdio.h>
diff -Naur twin-0.6.0-old/clients/mapscrn/xmalloc.h twin-0.6.0/clients/mapscrn/xmalloc.h
--- twin-0.6.0-old/clients/mapscrn/xmalloc.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/mapscrn/xmalloc.h	2009-02-16 15:54:44.000000000 +0100
@@ -1,3 +1,11 @@
+/*  
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 /* Error-free versions of some libc routines */
 extern void *xmalloc(size_t sz);
 extern void *xrealloc(void *p, size_t sz);
diff -Naur twin-0.6.0-old/clients/pty.c twin-0.6.0/clients/pty.c
--- twin-0.6.0-old/clients/pty.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/pty.c	2009-02-16 15:49:25.000000000 +0100
@@ -10,6 +10,11 @@
  *
  *  Copyright (C) 1993-1999  Massimiliano Ghilardi
  *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
  */
 
 #include <grp.h>
diff -Naur twin-0.6.0-old/clients/pty.h twin-0.6.0/clients/pty.h
--- twin-0.6.0-old/clients/pty.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/pty.h	2009-02-16 15:49:48.000000000 +0100
@@ -1,4 +1,11 @@
-
+/*  Copyright (C) 1993-1999  Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 #ifndef _TW_PTY_H
 #define _TW_PTY_H
 
diff -Naur twin-0.6.0-old/clients/term.h twin-0.6.0/clients/term.h
--- twin-0.6.0-old/clients/term.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/clients/term.h	2009-02-16 15:50:59.000000000 +0100
@@ -1,3 +1,11 @@
+/*  Copyright (C) 1993-1999  Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ */
 #ifndef _TW_TERM_H
 #define _TW_TERM_H
 
diff -Naur twin-0.6.0-old/clients/threadtest.c twin-0.6.0/clients/threadtest.c
--- twin-0.6.0-old/clients/threadtest.c	2006-04-07 21:54:13.000000000 +0200
+++ twin-0.6.0/clients/threadtest.c	2009-02-16 15:51:23.000000000 +0100
@@ -1,5 +1,11 @@
 /*
  *  threadtest.c  --  test libTw thread-safety
+ *  Copyright (C) 1993-1999  Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
  *
  */
 
diff -Naur twin-0.6.0-old/configure.in twin-0.6.0/configure.in
--- twin-0.6.0-old/configure.in	2007-12-01 10:47:58.000000000 +0100
+++ twin-0.6.0/configure.in	2009-02-16 15:56:31.000000000 +0100
@@ -1,3 +1,11 @@
+# 
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 dnl Process this file with autoconf to produce a configure script.
 PACKAGE=twin
diff -Naur twin-0.6.0-old/contrib/Makefile.sub twin-0.6.0/contrib/Makefile.sub
--- twin-0.6.0-old/contrib/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/contrib/Makefile.sub	2009-02-16 15:57:55.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Makefile for various contributed libTw clients
 #
diff -Naur twin-0.6.0-old/contrib/twcd/Makefile.sub twin-0.6.0/contrib/twcd/Makefile.sub
--- twin-0.6.0-old/contrib/twcd/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/contrib/twcd/Makefile.sub	2009-02-16 15:59:30.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Makefile for various contributed libTw clients
 #
diff -Naur twin-0.6.0-old/contrib/twin.spec twin-0.6.0/contrib/twin.spec
--- twin-0.6.0-old/contrib/twin.spec	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/contrib/twin.spec	2009-02-16 15:59:11.000000000 +0100
@@ -1,3 +1,10 @@
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 Name:		twin
 Version:	0.5.0
 Release:	2
diff -Naur twin-0.6.0-old/include/compiler.h twin-0.6.0/include/compiler.h
--- twin-0.6.0-old/include/compiler.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/compiler.h	2009-02-16 16:01:54.000000000 +0100
@@ -1,3 +1,12 @@
+/*  Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ */
+
+
 
 /* server internal stuff. define macros without any prefix */
 
diff -Naur twin-0.6.0-old/include/check_asm.h twin-0.6.0/include/check_asm.h
--- twin-0.6.0-old/include/check_asm.h	2007-12-01 21:01:07.000000000 +0100
+++ twin-0.6.0/include/check_asm.h	2009-02-16 16:02:12.000000000 +0100
@@ -3,6 +3,10 @@
  *
  *  Copyright (C) 2000 by Massimiliano Ghilardi
  *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
  */
 
 #ifndef _TWIN_CHECK_ASM_H
diff -Naur twin-0.6.0-old/include/Makefile.sub twin-0.6.0/include/Makefile.sub
--- twin-0.6.0-old/include/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/Makefile.sub	2009-02-16 16:10:27.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 SUBDIRS=Tutf Tw TT
 
diff -Naur twin-0.6.0-old/include/m4/socklist.m4h twin-0.6.0/include/m4/socklist.m4h
--- twin-0.6.0-old/include/m4/socklist.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/m4/socklist.m4h	2009-02-16 16:51:46.000000000 +0100
@@ -4,8 +4,15 @@
 
 dnl This file is `m4/socklist.m4' : m4 macros to autogenerate socklist_m4.h
 dnl Tell the user about this.
-/* This file was automatically generated from `m4/socklist.m4', do not edit! */
-
+/* This file was automatically generated from `m4/socklist.m4', do not edit!
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ *  This library is free software; you can redistribute it and/or
+ *  modify it under the terms of the GNU Library General Public
+ *  License as published by the Free Software Foundation; either
+ *  version 2 of the License, or (at your option) any later version.
+ *
+ */
 define(`TRIM', `translit(`$1', ` ')')
 
 
diff -Naur twin-0.6.0-old/include/m4/TTattribute.m4 twin-0.6.0/include/m4/TTattribute.m4
--- twin-0.6.0-old/include/m4/TTattribute.m4	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/m4/TTattribute.m4	2009-02-16 16:11:55.000000000 +0100
@@ -1,4 +1,11 @@
-
+/*  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ *  This library is free software; you can redistribute it and/or
+ *  modify it under the terms of the GNU Library General Public
+ *  License as published by the Free Software Foundation; either
+ *  version 2 of the License, or (at your option) any later version.
+ *
+ */
 define(`encode_attribute', `0`'patsubst(`$1', `TT_ARG_', `encode_')')
 
 
diff -Naur twin-0.6.0-old/include/m4/TTclasses.m4 twin-0.6.0/include/m4/TTclasses.m4
--- twin-0.6.0-old/include/m4/TTclasses.m4	2007-01-19 21:56:51.000000000 +0100
+++ twin-0.6.0/include/m4/TTclasses.m4	2009-02-16 16:12:04.000000000 +0100
@@ -1,4 +1,11 @@
-
+/*  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ *  This library is free software; you can redistribute it and/or
+ *  modify it under the terms of the GNU Library General Public
+ *  License as published by the Free Software Foundation; either
+ *  version 2 of the License, or (at your option) any later version.
+ *
+ */
 
 ifdef(`c_comment', `', `define(`c_comment')')
 ifdef(`c_doxygen', `', `define(`c_doxygen')')
diff -Naur twin-0.6.0-old/include/m4/TTclient.m4 twin-0.6.0/include/m4/TTclient.m4
--- twin-0.6.0-old/include/m4/TTclient.m4	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/m4/TTclient.m4	2009-02-16 16:12:11.000000000 +0100
@@ -1,4 +1,11 @@
-
+/*  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ *  This library is free software; you can redistribute it and/or
+ *  modify it under the terms of the GNU Library General Public
+ *  License as published by the Free Software Foundation; either
+ *  version 2 of the License, or (at your option) any later version.
+ *
+ */
 dnl handy aliases (required on client side due to library tricks) */
 define(`tt_class', `ttclass')
 define(`tt_obj', `ttobj')
diff -Naur twin-0.6.0-old/include/m4/TTdecay.m4 twin-0.6.0/include/m4/TTdecay.m4
--- twin-0.6.0-old/include/m4/TTdecay.m4	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/m4/TTdecay.m4	2009-02-16 16:12:19.000000000 +0100
@@ -1,4 +1,11 @@
-
+/*  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ *  This library is free software; you can redistribute it and/or
+ *  modify it under the terms of the GNU Library General Public
+ *  License as published by the Free Software Foundation; either
+ *  version 2 of the License, or (at your option) any later version.
+ *
+ */
 dnl first, non-decay stuff
 
 define(`c_arg_type', `addspace_ifnotempty($1)`'$2')
diff -Naur twin-0.6.0-old/include/m4/TTfield.m4 twin-0.6.0/include/m4/TTfield.m4
--- twin-0.6.0-old/include/m4/TTfield.m4	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/m4/TTfield.m4	2009-02-16 16:12:25.000000000 +0100
@@ -1,4 +1,11 @@
-
+/*  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ *  This library is free software; you can redistribute it and/or
+ *  modify it under the terms of the GNU Library General Public
+ *  License as published by the Free Software Foundation; either
+ *  version 2 of the License, or (at your option) any later version.
+ *
+ */
 define(`tolower', `translit(`$1', `A-Z', `a-z')')
 define(`toupper', `translit(`$1', `a-z', `A-Z')')
 define(`Toupper', `toupper(substr(`$1', 0, 1))`'patsubst(substr(`$1', 1), `_\(\w\)',``'toupper(`\1')')')
diff -Naur twin-0.6.0-old/include/osincludes.h twin-0.6.0/include/osincludes.h
--- twin-0.6.0-old/include/osincludes.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/osincludes.h	2009-02-16 16:08:52.000000000 +0100
@@ -1,3 +1,10 @@
+/*  Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ */
 #ifndef _TWIN_OSINCLUDES_H
 #define _TWIN_OSINCLUDES_H
 
diff -Naur twin-0.6.0-old/include/tty_ioctl.h twin-0.6.0/include/tty_ioctl.h
--- twin-0.6.0-old/include/tty_ioctl.h	2007-12-01 21:01:07.000000000 +0100
+++ twin-0.6.0/include/tty_ioctl.h	2009-02-16 16:09:02.000000000 +0100
@@ -1,3 +1,10 @@
+/*  Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ */
 #ifndef _TWIN_TTY_IOCTL_H
 #define _TWIN_TTY_IOCTL_H
 
diff -Naur twin-0.6.0-old/include/twconfig.h twin-0.6.0/include/twconfig.h
--- twin-0.6.0-old/include/twconfig.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/twconfig.h	2009-02-16 16:09:18.000000000 +0100
@@ -3,6 +3,10 @@
  *
  *  Copyright (C) 2000 by Massimiliano Ghilardi
  *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
  */
 
 #ifndef _TWIN_CONFIG_H
@@ -37,4 +41,4 @@
 #endif
 
 
-#endif /* _TWIN_CONFIG_H */
\ Chybí znak konce řádku na konci souboru
+#endif /* _TWIN_CONFIG_H */
diff -Naur twin-0.6.0-old/include/unaligned.h twin-0.6.0/include/unaligned.h
--- twin-0.6.0-old/include/unaligned.h	2007-12-01 21:01:07.000000000 +0100
+++ twin-0.6.0/include/unaligned.h	2009-02-16 16:09:31.000000000 +0100
@@ -1,3 +1,10 @@
+/*  Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ */
 #ifndef _TWIN_UNALIGNED_H
 #define _TWIN_UNALIGNED_H
 
diff -Naur twin-0.6.0-old/include/version.h twin-0.6.0/include/version.h
--- twin-0.6.0-old/include/version.h	2007-12-01 20:53:14.000000000 +0100
+++ twin-0.6.0/include/version.h	2009-02-16 16:09:38.000000000 +0100
@@ -1,3 +1,10 @@
+/*  Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ */
 
 #ifndef _TWIN_VERSION_H
 #define _TWIN_VERSION_H
diff -Naur twin-0.6.0-old/include/version.h.in twin-0.6.0/include/version.h.in
--- twin-0.6.0-old/include/version.h.in	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/include/version.h.in	2009-02-16 16:09:44.000000000 +0100
@@ -1,3 +1,10 @@
+/*  Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ */
 
 #ifndef _TWIN_VERSION_H
 #define _TWIN_VERSION_H
diff -Naur twin-0.6.0-old/libs/libTT/array.h twin-0.6.0/libs/libTT/array.h
--- twin-0.6.0-old/libs/libTT/array.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/array.h	2009-02-16 16:14:06.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 #ifndef _TT_ARRAY_H
 #define _TT_ARRAY_H
 
diff -Naur twin-0.6.0-old/libs/libTT/class.h twin-0.6.0/libs/libTT/class.h
--- twin-0.6.0-old/libs/libTT/class.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/class.h	2009-02-16 16:14:27.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 /* ttclass_ttobj <-> tt_obj conversion */
 
 
diff -Naur twin-0.6.0-old/libs/libTT/create.h twin-0.6.0/libs/libTT/create.h
--- twin-0.6.0-old/libs/libTT/create.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/create.h	2009-02-16 16:14:43.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_CREATE_H
 #define _TT_CREATE_H
diff -Naur twin-0.6.0-old/libs/libTT/datatypes.h twin-0.6.0/libs/libTT/datatypes.h
--- twin-0.6.0-old/libs/libTT/datatypes.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/datatypes.h	2009-02-16 16:14:47.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_DATATYPES_H
 #define _TT_DATATYPES_H
diff -Naur twin-0.6.0-old/libs/libTT/dummytheme.h twin-0.6.0/libs/libTT/dummytheme.h
--- twin-0.6.0-old/libs/libTT/dummytheme.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/dummytheme.h	2009-02-16 16:14:54.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 
 #define t(c) HWATTR(f, c)
diff -Naur twin-0.6.0-old/libs/libTT/fire.h twin-0.6.0/libs/libTT/fire.h
--- twin-0.6.0-old/libs/libTT/fire.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/fire.h	2009-02-16 16:15:08.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_FIRE_H
 #define _TT_FIRE_H
diff -Naur twin-0.6.0-old/libs/libTT/flags.h twin-0.6.0/libs/libTT/flags.h
--- twin-0.6.0-old/libs/libTT/flags.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/flags.h	2009-02-16 16:15:14.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_FLAGS_H
 
diff -Naur twin-0.6.0-old/libs/libTT/getset.c twin-0.6.0/libs/libTT/getset.c
--- twin-0.6.0-old/libs/libTT/getset.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/getset.c	2009-02-16 16:15:31.000000000 +0100
@@ -1,6 +1,15 @@
 
 /*
  *  get.c  --  implementation of TTGet*_* methods
+ *
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
  */
 
 #ifdef CONF_SOCKET_PTHREADS
diff -Naur twin-0.6.0-old/libs/libTT/HW/null_c twin-0.6.0/libs/libTT/HW/null_c
--- twin-0.6.0-old/libs/libTT/HW/null_c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/HW/null_c	2009-02-16 16:18:14.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *                 WARNING!
diff -Naur twin-0.6.0-old/libs/libTT/HW/twin_c twin-0.6.0/libs/libTT/HW/twin_c
--- twin-0.6.0-old/libs/libTT/HW/twin_c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/HW/twin_c	2009-02-16 16:18:31.000000000 +0100
@@ -1,4 +1,14 @@
 /*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
+/*
  *                 WARNING!
  * 
  * this file is `twin_c' and is preprocessed by m4 to produce `twin_m4.c'
diff -Naur twin-0.6.0-old/libs/libTT/HW/twin_detunnel_c twin-0.6.0/libs/libTT/HW/twin_detunnel_c
--- twin-0.6.0-old/libs/libTT/HW/twin_detunnel_c	2007-01-19 21:56:57.000000000 +0100
+++ twin-0.6.0/libs/libTT/HW/twin_detunnel_c	2009-02-16 16:18:37.000000000 +0100
@@ -1,4 +1,14 @@
 /*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
+/*
  *                 WARNING!
  * 
  * this file is `twin_detunnel_c' and is preprocessed by m4 to produce `twin_detunnel_m4.c'
diff -Naur twin-0.6.0-old/libs/libTT/HW/xml_c twin-0.6.0/libs/libTT/HW/xml_c
--- twin-0.6.0-old/libs/libTT/HW/xml_c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/HW/xml_c	2009-02-16 16:18:43.000000000 +0100
@@ -1,4 +1,14 @@
 /*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
+/*
  *                 WARNING!
  * 
  * this file is `xml_c' and is preprocessed by m4 to produce `xml_m4.c'
diff -Naur twin-0.6.0-old/libs/libTT/HW/X11_c twin-0.6.0/libs/libTT/HW/X11_c
--- twin-0.6.0-old/libs/libTT/HW/X11_c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/HW/X11_c	2009-02-16 16:18:51.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *                 WARNING!
diff -Naur twin-0.6.0-old/libs/libTT/inlines.h twin-0.6.0/libs/libTT/inlines.h
--- twin-0.6.0-old/libs/libTT/inlines.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/inlines.h	2009-02-16 16:15:37.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_INLINES_H
 #define _TT_INLINES_H
diff -Naur twin-0.6.0-old/libs/libTT/internaltypes.h twin-0.6.0/libs/libTT/internaltypes.h
--- twin-0.6.0-old/libs/libTT/internaltypes.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/internaltypes.h	2009-02-16 16:15:41.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_INTERNALTYPES_H
 #define _TT_INTERNALTYPES_H
diff -Naur twin-0.6.0-old/libs/libTT/Makefile.sub twin-0.6.0/libs/libTT/Makefile.sub
--- twin-0.6.0-old/libs/libTT/Makefile.sub	2007-12-01 11:41:53.000000000 +0100
+++ twin-0.6.0/libs/libTT/Makefile.sub	2009-02-16 16:23:25.000000000 +0100
@@ -1,4 +1,14 @@
 #
+#
+# Copyright (C) 2002 by Massimiliano Ghilardi
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+#
+#
 # Makefile for libTT, `The Text Toolkit' library sitting on top of libTw
 #
 
diff -Naur twin-0.6.0-old/libs/libTT/missing.c twin-0.6.0/libs/libTT/missing.c
--- twin-0.6.0-old/libs/libTT/missing.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/missing.c	2009-02-16 16:16:31.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #include <Tw/Twtypes.h>
 
diff -Naur twin-0.6.0-old/libs/libTT/m4/create_decl.m4h twin-0.6.0/libs/libTT/m4/create_decl.m4h
--- twin-0.6.0-old/libs/libTT/m4/create_decl.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/create_decl.m4h	2009-02-16 16:20:19.000000000 +0100
@@ -6,6 +6,16 @@
 
 /* This file was automatically generated from `m4/create_decl.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  create_decl_m4.h  --  prototype for libTT internal Create* function pointers
diff -Naur twin-0.6.0-old/libs/libTT/m4/create_defs.m4h twin-0.6.0/libs/libTT/m4/create_defs.m4h
--- twin-0.6.0-old/libs/libTT/m4/create_defs.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/create_defs.m4h	2009-02-16 16:20:12.000000000 +0100
@@ -6,6 +6,16 @@
 
 /* This file was automatically generated from `m4/create_defs.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  create_defs_m4.h  --  #defines for libTT internal Create* function pointers
diff -Naur twin-0.6.0-old/libs/libTT/m4/create_init.m4h twin-0.6.0/libs/libTT/m4/create_init.m4h
--- twin-0.6.0-old/libs/libTT/m4/create_init.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/create_init.m4h	2009-02-16 16:20:05.000000000 +0100
@@ -7,6 +7,16 @@
 
 /* This file was automatically generated from `m4/create_init.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  create_init_m4.h  --  initialization of libTT internal Create* function pointers
diff -Naur twin-0.6.0-old/libs/libTT/m4/decls.m4h twin-0.6.0/libs/libTT/m4/decls.m4h
--- twin-0.6.0-old/libs/libTT/m4/decls.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/decls.m4h	2009-02-16 16:19:57.000000000 +0100
@@ -6,6 +6,16 @@
 dnl Tell the user about this.
 /* This file was automatically generated from `m4/decls.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  decls_m4.h  --  INTERNAL (!!) header for libTT types declarations
diff -Naur twin-0.6.0-old/libs/libTT/m4/field.m4h twin-0.6.0/libs/libTT/m4/field.m4h
--- twin-0.6.0-old/libs/libTT/m4/field.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/field.m4h	2009-02-16 16:19:49.000000000 +0100
@@ -6,6 +6,16 @@
 
 /* This file was automatically generated from `m4/field.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  field_m4.h  --  implementation of TT*_ttfield functions,
diff -Naur twin-0.6.0-old/libs/libTT/m4/getset.m4h twin-0.6.0/libs/libTT/m4/getset.m4h
--- twin-0.6.0-old/libs/libTT/m4/getset.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/getset.m4h	2009-02-16 16:19:45.000000000 +0100
@@ -6,6 +6,16 @@
 
 /* This file was automatically generated from `m4/getset.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  getset_m4.h  --  implementation of TTGet*_* methods
diff -Naur twin-0.6.0-old/libs/libTT/m4/limits.m4h twin-0.6.0/libs/libTT/m4/limits.m4h
--- twin-0.6.0-old/libs/libTT/m4/limits.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/limits.m4h	2009-02-16 16:19:40.000000000 +0100
@@ -6,6 +6,16 @@
 
 /* This file was automatically generated from `m4/limits.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  limits_m4.h  --  defines for various libTT hardcoded values and limits
diff -Naur twin-0.6.0-old/libs/libTT/m4/method1.m4h twin-0.6.0/libs/libTT/m4/method1.m4h
--- twin-0.6.0-old/libs/libTT/m4/method1.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/method1.m4h	2009-02-16 16:19:28.000000000 +0100
@@ -6,6 +6,16 @@
 
 /* This file was automatically generated from `m4/method1.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  method1_m4.h  --  implementation of TT*_ttmethod functions,
diff -Naur twin-0.6.0-old/libs/libTT/m4/method2.m4h twin-0.6.0/libs/libTT/m4/method2.m4h
--- twin-0.6.0-old/libs/libTT/m4/method2.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/method2.m4h	2009-02-16 16:19:34.000000000 +0100
@@ -5,6 +5,16 @@
 
 
 /* This file was automatically generated from `m4/method2.m4', do not edit! */
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 
 /*
diff -Naur twin-0.6.0-old/libs/libTT/m4/tree.m4h twin-0.6.0/libs/libTT/m4/tree.m4h
--- twin-0.6.0-old/libs/libTT/m4/tree.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/tree.m4h	2009-02-16 16:19:21.000000000 +0100
@@ -3,6 +3,16 @@
 dnl Tell the user about this.
 /* This file was automatically generated from `m4/tree.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  *  tree_m4.h  --  internal header for libTT objects hierarchy tree
diff -Naur twin-0.6.0-old/libs/libTT/m4/wrap.m4h twin-0.6.0/libs/libTT/m4/wrap.m4h
--- twin-0.6.0-old/libs/libTT/m4/wrap.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/m4/wrap.m4h	2009-02-16 16:19:16.000000000 +0100
@@ -5,6 +5,16 @@
 
 
 /* This file was automatically generated from `m4/wrap.m4', do not edit! */
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 
 /*
diff -Naur twin-0.6.0-old/libs/libTT/seterrno.h twin-0.6.0/libs/libTT/seterrno.h
--- twin-0.6.0-old/libs/libTT/seterrno.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/seterrno.h	2009-02-16 16:16:35.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_SETERRNO_H
 #define _TT_SETERRNO_H
diff -Naur twin-0.6.0-old/libs/libTT/theme.h twin-0.6.0/libs/libTT/theme.h
--- twin-0.6.0-old/libs/libTT/theme.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/theme.h	2009-02-16 16:16:42.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_THEME_H
 #define _TT_THEME_H
diff -Naur twin-0.6.0-old/libs/libTT/TTassert.h twin-0.6.0/libs/libTT/TTassert.h
--- twin-0.6.0-old/libs/libTT/TTassert.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/TTassert.h	2009-02-16 16:16:48.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_ASSERT_H
 #define	_TT_ASSERT_H
diff -Naur twin-0.6.0-old/libs/libTT/TTextern.h twin-0.6.0/libs/libTT/TTextern.h
--- twin-0.6.0-old/libs/libTT/TTextern.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/TTextern.h	2009-02-16 16:16:54.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_EXTERN_H
 #define _TT_EXTERN_H
diff -Naur twin-0.6.0-old/libs/libTT/TTtypes.h twin-0.6.0/libs/libTT/TTtypes.h
--- twin-0.6.0-old/libs/libTT/TTtypes.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/TTtypes.h	2009-02-16 16:17:19.000000000 +0100
@@ -3,6 +3,15 @@
  *  TTtypes.h  --  INTERNAL (!!) header for libTT types declarations
  *
  *  Note: you cannot include both this file and <TT/TTtypes.h>, as they conflict!
+ *
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
  */
 
 #ifndef _TT_TYPES_H
diff -Naur twin-0.6.0-old/libs/libTT/utils.h twin-0.6.0/libs/libTT/utils.h
--- twin-0.6.0-old/libs/libTT/utils.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/utils.h	2009-02-16 16:17:23.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #ifndef _TT_UTILS_H
 #define _TT_UTILS_H
diff -Naur twin-0.6.0-old/libs/libTT/wrap.c twin-0.6.0/libs/libTT/wrap.c
--- twin-0.6.0-old/libs/libTT/wrap.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTT/wrap.c	2009-02-16 16:17:33.000000000 +0100
@@ -1,6 +1,15 @@
 
 /*
  *  wrap.c  --  wrappers around exported libTT methods
+ *
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
  */
 
 #ifdef CONF_SOCKET_PTHREADS
diff -Naur twin-0.6.0-old/libs/libTutf/ascii.c twin-0.6.0/libs/libTutf/ascii.c
--- twin-0.6.0-old/libs/libTutf/ascii.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTutf/ascii.c	2009-02-16 16:20:34.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 hwfont T_CAT3(Tutf_,T_MAP(ASCII),_to_UTF_16)[0x100] = {
 #define EL(x) T_UTF(UTF_16,x),
diff -Naur twin-0.6.0-old/libs/libTutf/cp437.c twin-0.6.0/libs/libTutf/cp437.c
--- twin-0.6.0-old/libs/libTutf/cp437.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTutf/cp437.c	2009-02-16 16:20:38.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 hwfont Tutf_CP437_to_UTF_16[0x100] = {
 #define EL(x) T_UTF(UTF_16,x),
diff -Naur twin-0.6.0-old/libs/libTutf/cp850.c twin-0.6.0/libs/libTutf/cp850.c
--- twin-0.6.0-old/libs/libTutf/cp850.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTutf/cp850.c	2009-02-16 16:20:44.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 hwfont Tutf_CP850_to_UTF_16[0x100] = {
 #define EL(x) T_UTF(UTF_16,x),
diff -Naur twin-0.6.0-old/libs/libTutf/cp865.c twin-0.6.0/libs/libTutf/cp865.c
--- twin-0.6.0-old/libs/libTutf/cp865.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTutf/cp865.c	2009-02-16 16:20:51.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 hwfont Tutf_CP865_to_UTF_16[0x100] = {
 #define EL(x) T_UTF(UTF_16,x),
diff -Naur twin-0.6.0-old/libs/libTutf/iso_8859_x.c twin-0.6.0/libs/libTutf/iso_8859_x.c
--- twin-0.6.0-old/libs/libTutf/iso_8859_x.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTutf/iso_8859_x.c	2009-02-16 16:20:54.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #define T_ISO_8859_X T_MAP(ISO_8859_X)
 
diff -Naur twin-0.6.0-old/libs/libTutf/Makefile.sub twin-0.6.0/libs/libTutf/Makefile.sub
--- twin-0.6.0-old/libs/libTutf/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTutf/Makefile.sub	2009-02-16 16:23:31.000000000 +0100
@@ -1,4 +1,14 @@
 #
+#
+# Copyright (C) 2002 by Massimiliano Ghilardi
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+#
+#
 # Makefile for libTutf, the UTF-16 charset conversion library
 #
 
diff -Naur twin-0.6.0-old/libs/libTutf/template.c twin-0.6.0/libs/libTutf/template.c
--- twin-0.6.0-old/libs/libTutf/template.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTutf/template.c	2009-02-16 16:21:05.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 
 #define T_TEMPLATE T_MAP(TEMPLATE)
diff -Naur twin-0.6.0-old/libs/libTw/encode.h twin-0.6.0/libs/libTw/encode.h
--- twin-0.6.0-old/libs/libTw/encode.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTw/encode.h	2009-02-16 16:21:20.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /*
  * encoding functions to serialize libTw call args in a buffer
diff -Naur twin-0.6.0-old/libs/libTw/Makefile.sub twin-0.6.0/libs/libTw/Makefile.sub
--- twin-0.6.0-old/libs/libTw/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTw/Makefile.sub	2009-02-16 16:23:52.000000000 +0100
@@ -1,4 +1,14 @@
 #
+#
+# Copyright (C) 2002 by Massimiliano Ghilardi
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+#
+#
 # Makefile for libTw, the library that talks to Twin
 #
 
diff -Naur twin-0.6.0-old/libs/libTw/missing.c twin-0.6.0/libs/libTw/missing.c
--- twin-0.6.0-old/libs/libTw/missing.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTw/missing.c	2009-02-16 16:16:31.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #include <Tw/Twtypes.h>
 
diff -Naur twin-0.6.0-old/libs/libTw/m4/libTw1.m4h twin-0.6.0/libs/libTw/m4/libTw1.m4h
--- twin-0.6.0-old/libs/libTw/m4/libTw1.m4h	2006-04-07 20:41:11.000000000 +0200
+++ twin-0.6.0/libs/libTw/m4/libTw1.m4h	2009-02-16 16:22:13.000000000 +0100
@@ -6,6 +6,16 @@
 dnl Tell the user about this.
 /* This file was automatically generated from `m4/libTw1.m4', do not edit! */
 
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 /* To avoid troubles with strlen(), you should not use '\0' or "\0" */
 /* Also, using TWS_obj is really a good idea */
diff -Naur twin-0.6.0-old/libs/libTw/m4/libTw2_i386.m4h twin-0.6.0/libs/libTw/m4/libTw2_i386.m4h
--- twin-0.6.0-old/libs/libTw/m4/libTw2_i386.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTw/m4/libTw2_i386.m4h	2009-02-16 16:22:21.000000000 +0100
@@ -7,6 +7,16 @@
 /* This file was automatically generated with m4 from m4/libTw2_i386.m4, do not edit! */
 
 /*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
+/*
  * hand-optimized assembler functions for i386 with gcc
  */
 
diff -Naur twin-0.6.0-old/libs/libTw/m4/libTw2.m4h twin-0.6.0/libs/libTw/m4/libTw2.m4h
--- twin-0.6.0-old/libs/libTw/m4/libTw2.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTw/m4/libTw2.m4h	2009-02-16 16:22:26.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 
 
diff -Naur twin-0.6.0-old/libs/libTw/m4/libTw3.m4h twin-0.6.0/libs/libTw/m4/libTw3.m4h
--- twin-0.6.0-old/libs/libTw/m4/libTw3.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/libTw/m4/libTw3.m4h	2009-02-16 16:22:36.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 
 
diff -Naur twin-0.6.0-old/libs/Makefile.sub twin-0.6.0/libs/Makefile.sub
--- twin-0.6.0-old/libs/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/libs/Makefile.sub	2009-02-16 16:12:59.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Makefile for the various libraries
 #
diff -Naur twin-0.6.0-old/Makefile twin-0.6.0/Makefile
--- twin-0.6.0-old/Makefile	2007-12-01 11:40:56.000000000 +0100
+++ twin-0.6.0/Makefile	2009-02-16 16:24:51.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 
 
diff -Naur twin-0.6.0-old/Makefile.fake twin-0.6.0/Makefile.fake
--- twin-0.6.0-old/Makefile.fake	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/Makefile.fake	2009-02-16 16:24:57.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 
 
diff -Naur twin-0.6.0-old/Makefile.sub twin-0.6.0/Makefile.sub
--- twin-0.6.0-old/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/Makefile.sub	2009-02-16 16:25:01.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # top Makefile
 #
diff -Naur twin-0.6.0-old/makerules.in twin-0.6.0/makerules.in
--- twin-0.6.0-old/makerules.in	2006-05-02 12:27:15.000000000 +0200
+++ twin-0.6.0/makerules.in	2009-02-16 16:25:21.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Top level, common rules
 #
diff -Naur twin-0.6.0-old/scripts/bin2c.c twin-0.6.0/scripts/bin2c.c
--- twin-0.6.0-old/scripts/bin2c.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/bin2c.c	2009-02-16 16:28:03.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #include <stdio.h>
 
 int main(int argc, char *argv[])
diff -Naur twin-0.6.0-old/scripts/bitmap.c twin-0.6.0/scripts/bitmap.c
--- twin-0.6.0-old/scripts/bitmap.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/bitmap.c	2009-02-16 16:28:08.000000000 +0100
@@ -1,4 +1,11 @@
-
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #include <stdio.h>
 
 
diff -Naur twin-0.6.0-old/scripts/Configure.dialog twin-0.6.0/scripts/Configure.dialog
--- twin-0.6.0-old/scripts/Configure.dialog	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/Configure.dialog	2009-02-16 16:26:42.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 # TOP_SRCDIR
 T="$1"
diff -Naur twin-0.6.0-old/scripts/Configure.fallback twin-0.6.0/scripts/Configure.fallback
--- twin-0.6.0-old/scripts/Configure.fallback	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/Configure.fallback	2009-02-16 16:26:48.000000000 +0100
@@ -1,4 +1,12 @@
 #!/bin/sh
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 # TOP_SRCDIR
 T="$1"
diff -Naur twin-0.6.0-old/scripts/Configure.sh twin-0.6.0/scripts/Configure.sh
--- twin-0.6.0-old/scripts/Configure.sh	2007-12-01 11:32:15.000000000 +0100
+++ twin-0.6.0/scripts/Configure.sh	2009-02-16 16:26:34.000000000 +0100
@@ -1,4 +1,12 @@
 #!/bin/sh
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 for ac_option
 do
diff -Naur twin-0.6.0-old/scripts/Configure.tty twin-0.6.0/scripts/Configure.tty
--- twin-0.6.0-old/scripts/Configure.tty	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/Configure.tty	2009-02-16 16:26:54.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 # TOP_SRCDIR
 T="$1"
diff -Naur twin-0.6.0-old/scripts/Makefiles.sh twin-0.6.0/scripts/Makefiles.sh
--- twin-0.6.0-old/scripts/Makefiles.sh	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/Makefiles.sh	2009-02-16 16:26:05.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 #
 # remove any trailing slash from top_srcdir (more robust) and add a single trailing slash
diff -Naur twin-0.6.0-old/scripts/mkdep.c twin-0.6.0/scripts/mkdep.c
--- twin-0.6.0-old/scripts/mkdep.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/mkdep.c	2009-02-16 16:29:01.000000000 +0100
@@ -5,6 +5,12 @@
  * 
  * Usage: mkdep [-R<rootdir>] [{+|-}C] [{+|-}T] [-P<prefix>] [-I<dir> [...]] file ...
  * 
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
  * 
  * Search each source file for #include "*.h", #include <*.h>, CONF_* and DEBUG_*
  * symbol references. Inspection is done dynamically, so the programmer
diff -Naur twin-0.6.0-old/scripts/Prettyconfig.sh twin-0.6.0/scripts/Prettyconfig.sh
--- twin-0.6.0-old/scripts/Prettyconfig.sh	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/Prettyconfig.sh	2009-02-16 16:27:08.000000000 +0100
@@ -1,4 +1,12 @@
 #!/bin/sh
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 while [ "$1" ]; do
   eval "$1"
diff -Naur twin-0.6.0-old/scripts/Torture twin-0.6.0/scripts/Torture
--- twin-0.6.0-old/scripts/Torture	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/scripts/Torture	2009-02-16 16:27:13.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 #
 # this partially duplicates MkDep...
diff -Naur twin-0.6.0-old/server/builtin.h twin-0.6.0/server/builtin.h
--- twin-0.6.0-old/server/builtin.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/builtin.h	2009-02-16 16:29:42.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_BUILTIN_H
 #define _TWIN_BUILTIN_H
 
diff -Naur twin-0.6.0-old/server/common.h twin-0.6.0/server/common.h
--- twin-0.6.0-old/server/common.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/common.h	2009-02-16 16:29:58.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_COMMON_H
 #define _TWIN_COMMON_H
 
diff -Naur twin-0.6.0-old/server/data.h twin-0.6.0/server/data.h
--- twin-0.6.0-old/server/data.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/data.h	2009-02-16 16:30:09.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_DATA_H
 #define _TWIN_DATA_H
 
diff -Naur twin-0.6.0-old/server/dl.h twin-0.6.0/server/dl.h
--- twin-0.6.0-old/server/dl.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/dl.h	2009-02-16 16:30:23.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_DL_H
 #define _TWIN_DL_H
 
diff -Naur twin-0.6.0-old/server/draw.h twin-0.6.0/server/draw.h
--- twin-0.6.0-old/server/draw.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/draw.h	2009-02-16 16:30:29.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_DRAW_H
 #define _TWIN_DRAW_H
 
diff -Naur twin-0.6.0-old/server/extreg.c twin-0.6.0/server/extreg.c
--- twin-0.6.0-old/server/extreg.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/extreg.c	2009-02-16 16:30:38.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 /*
  * extreg.c -- code for simple-minded internal server extensions bookkeeping
diff -Naur twin-0.6.0-old/server/extreg.h twin-0.6.0/server/extreg.h
--- twin-0.6.0-old/server/extreg.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/extreg.h	2009-02-16 16:30:41.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 #ifndef _TWIN_EXTREG_H
 #define _TWIN_EXTREG_H
diff -Naur twin-0.6.0-old/server/fdlist.h twin-0.6.0/server/fdlist.h
--- twin-0.6.0-old/server/fdlist.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/fdlist.h	2009-02-16 16:30:48.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 /*
  *  fdlist.h  --  include for File Descriptor book-keeping
  *
diff -Naur twin-0.6.0-old/server/hotkey.h twin-0.6.0/server/hotkey.h
--- twin-0.6.0-old/server/hotkey.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/hotkey.h	2009-02-16 16:31:07.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 /*
  * edit this and recompile to change the HotKey (used to activate menu).
diff -Naur twin-0.6.0-old/server/hw.h twin-0.6.0/server/hw.h
--- twin-0.6.0-old/server/hw.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/hw.h	2009-02-16 16:31:17.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_HW_H
 #define _TWIN_HW_H
 
diff -Naur twin-0.6.0-old/server/hw_keys.h twin-0.6.0/server/hw_keys.h
--- twin-0.6.0-old/server/hw_keys.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/hw_keys.h	2009-02-16 16:31:55.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 /*
  *             W A R N I N G  :
diff -Naur twin-0.6.0-old/server/hw_multi.h twin-0.6.0/server/hw_multi.h
--- twin-0.6.0-old/server/hw_multi.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/hw_multi.h	2009-02-16 16:32:04.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_HW_MULTI_H
 #define _TWIN_HW_MULTI_H
 
diff -Naur twin-0.6.0-old/server/hw_private.h twin-0.6.0/server/hw_private.h
--- twin-0.6.0-old/server/hw_private.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/hw_private.h	2009-02-16 16:32:11.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 #ifndef _TWIN_HW_PRIVATE_H
 #define _TWIN_HW_PRIVATE_H
diff -Naur twin-0.6.0-old/server/main.h twin-0.6.0/server/main.h
--- twin-0.6.0-old/server/main.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/main.h	2009-02-16 16:32:19.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_MAIN_H
 #define _TWIN_MAIN_H
 
diff -Naur twin-0.6.0-old/server/Makefile.sub twin-0.6.0/server/Makefile.sub
--- twin-0.6.0-old/server/Makefile.sub	2007-10-29 21:06:21.000000000 +0100
+++ twin-0.6.0/server/Makefile.sub	2009-02-16 16:37:13.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Makefile for twin - Text mode WINdow manager
 #
diff -Naur twin-0.6.0-old/server/methods.h twin-0.6.0/server/methods.h
--- twin-0.6.0-old/server/methods.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/methods.h	2009-02-16 16:33:07.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_METHODS_H
 #define _TWIN_METHODS_H
 
diff -Naur twin-0.6.0-old/server/missing.c twin-0.6.0/server/missing.c
--- twin-0.6.0-old/server/missing.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/missing.c	2009-02-16 16:16:31.000000000 +0100
@@ -1,3 +1,13 @@
+/*
+ *
+ *  Copyright (C) 2002 by Massimiliano Ghilardi
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ * 
+ */
 
 #include <Tw/Twtypes.h>
 
diff -Naur twin-0.6.0-old/server/m4/socket1.m4h twin-0.6.0/server/m4/socket1.m4h
--- twin-0.6.0-old/server/m4/socket1.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/m4/socket1.m4h	2009-02-16 16:37:38.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 
 
diff -Naur twin-0.6.0-old/server/m4/socket2.m4h twin-0.6.0/server/m4/socket2.m4h
--- twin-0.6.0-old/server/m4/socket2.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/m4/socket2.m4h	2009-02-16 16:37:43.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 
 
diff -Naur twin-0.6.0-old/server/m4/socket3.m4h twin-0.6.0/server/m4/socket3.m4h
--- twin-0.6.0-old/server/m4/socket3.m4h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/m4/socket3.m4h	2009-02-16 16:37:47.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 
 
diff -Naur twin-0.6.0-old/server/printk.h twin-0.6.0/server/printk.h
--- twin-0.6.0-old/server/printk.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/printk.h	2009-02-16 16:33:20.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_PRINTK_H
 #define _TWIN_PRINTK_H
 
diff -Naur twin-0.6.0-old/server/pty.c twin-0.6.0/server/pty.c
--- twin-0.6.0-old/server/pty.c	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/pty.c	2009-02-16 16:33:28.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 /*
  *  parts of code taken from:
  *
diff -Naur twin-0.6.0-old/server/pty.h twin-0.6.0/server/pty.h
--- twin-0.6.0-old/server/pty.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/pty.h	2009-02-16 16:33:31.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_PTY_H
 #define _TWIN_PTY_H
 
diff -Naur twin-0.6.0-old/server/rcproto.h twin-0.6.0/server/rcproto.h
--- twin-0.6.0-old/server/rcproto.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/rcproto.h	2009-02-16 16:34:14.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 #ifndef _TWIN_RCPROTO_H
 #define _TWIN_RCPROTO_H
diff -Naur twin-0.6.0-old/server/rcrun.h twin-0.6.0/server/rcrun.h
--- twin-0.6.0-old/server/rcrun.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/rcrun.h	2009-02-16 16:34:23.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_RCRUN_H
 #define _TWIN_RCRUN_H
 
diff -Naur twin-0.6.0-old/server/rctypes.h twin-0.6.0/server/rctypes.h
--- twin-0.6.0-old/server/rctypes.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/rctypes.h	2009-02-16 16:34:27.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_RCTYPES_H
 #define _TWIN_RCTYPES_H
 
diff -Naur twin-0.6.0-old/server/remote.h twin-0.6.0/server/remote.h
--- twin-0.6.0-old/server/remote.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/remote.h	2009-02-16 16:34:37.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_REMOTE_H
 #define _TWIN_REMOTE_H
 
diff -Naur twin-0.6.0-old/server/resize.h twin-0.6.0/server/resize.h
--- twin-0.6.0-old/server/resize.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/resize.h	2009-02-16 16:34:43.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_RESIZE_H
 #define _TWIN_RESIZE_H
 
diff -Naur twin-0.6.0-old/server/scroller.h twin-0.6.0/server/scroller.h
--- twin-0.6.0-old/server/scroller.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/scroller.h	2009-02-16 16:34:51.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_SCROLLER_H
 #define _TWIN_SCROLLER_H
 
diff -Naur twin-0.6.0-old/server/socketalien.h twin-0.6.0/server/socketalien.h
--- twin-0.6.0-old/server/socketalien.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/socketalien.h	2009-02-16 16:35:02.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 
 
diff -Naur twin-0.6.0-old/server/socket.h twin-0.6.0/server/socket.h
--- twin-0.6.0-old/server/socket.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/socket.h	2009-02-16 16:35:12.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_SOCKET_H
 #define _TWIN_SOCKET_H
 
diff -Naur twin-0.6.0-old/server/socket_id.h twin-0.6.0/server/socket_id.h
--- twin-0.6.0-old/server/socket_id.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/socket_id.h	2009-02-16 16:35:21.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 #ifndef _TWIN_SOCKET_ID_H
 #define _TWIN_SOCKET_ID_H
diff -Naur twin-0.6.0-old/server/socketstat.h twin-0.6.0/server/socketstat.h
--- twin-0.6.0-old/server/socketstat.h	2007-01-19 21:52:34.000000000 +0100
+++ twin-0.6.0/server/socketstat.h	2009-02-16 16:35:30.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 
 
 #define TWScase(objtype,field,fieldtype) \
diff -Naur twin-0.6.0-old/server/tterm.h twin-0.6.0/server/tterm.h
--- twin-0.6.0-old/server/tterm.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/tterm.h	2009-02-16 16:36:13.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_TTERM_H
 #define _TWIN_TTERM_H
 
diff -Naur twin-0.6.0-old/server/tty.h twin-0.6.0/server/tty.h
--- twin-0.6.0-old/server/tty.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/tty.h	2009-02-16 16:36:19.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_TTY_H
 #define _TWIN_TTY_H
 
diff -Naur twin-0.6.0-old/server/twstart twin-0.6.0/server/twstart
--- twin-0.6.0-old/server/twstart	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/twstart	2009-02-16 16:37:16.000000000 +0100
@@ -1,4 +1,12 @@
 #!/bin/sh
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 ARGS=
 DPY=
diff -Naur twin-0.6.0-old/server/util.h twin-0.6.0/server/util.h
--- twin-0.6.0-old/server/util.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/util.h	2009-02-16 16:36:24.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_UTIL_H
 #define _TWIN_UTIL_H
 
diff -Naur twin-0.6.0-old/server/wm.h twin-0.6.0/server/wm.h
--- twin-0.6.0-old/server/wm.h	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/server/wm.h	2009-02-16 16:36:32.000000000 +0100
@@ -1,3 +1,11 @@
+/* Copyright (C) 2000 by Massimiliano Ghilardi
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ */
 #ifndef _TWIN_WM_H
 #define _TWIN_WM_H
 
diff -Naur twin-0.6.0-old/system.twenvrc.sh twin-0.6.0/system.twenvrc.sh
--- twin-0.6.0-old/system.twenvrc.sh	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/system.twenvrc.sh	2009-02-16 16:38:14.000000000 +0100
@@ -1,4 +1,12 @@
 #!/bin/bash
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 
 #
 # This file reads global and user profiles (like /etc/profile and ~/.profile)
diff -Naur twin-0.6.0-old/system.twinrc twin-0.6.0/system.twinrc
--- twin-0.6.0-old/system.twinrc	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/system.twinrc	2009-02-16 16:38:27.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # This file contains the configuration for twin look-n-feel.
 # By default, it is installed as ${libdir}/twin/system.twinrc
diff -Naur twin-0.6.0-old/themes/hw_gfx/Makefile.sub twin-0.6.0/themes/hw_gfx/Makefile.sub
--- twin-0.6.0-old/themes/hw_gfx/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/themes/hw_gfx/Makefile.sub	2009-02-16 16:38:49.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Makefile for twin hw_gfx themes
 #
diff -Naur twin-0.6.0-old/themes/Makefile.sub twin-0.6.0/themes/Makefile.sub
--- twin-0.6.0-old/themes/Makefile.sub	2006-02-18 20:49:33.000000000 +0100
+++ twin-0.6.0/themes/Makefile.sub	2009-02-16 16:38:42.000000000 +0100
@@ -1,3 +1,11 @@
+# Copyright (C) 2000 by Massimiliano Ghilardi
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+#
 #
 # Makefile for twin themes
 #
